'Cannot find autoconf' error building pecl_http


#1

Hi, I’ve been trying to build/install pecl_http for a while now with no success. I’ve installed my own php5 and have tried several methods:

  1. pecl install pecl_http
  2. downloading pecl_http and running phpize manually
  3. adapting the script at http://wiki.dreamhost.com/Suhosin to get pecl_http instead

So far, all of these methods have given me this error from phpize:
| Configuring for:
| PHP Api Version: 20041225
| Zend Module Api No: 20060613
| Zend Extension Api No: 220060519
| Cannot find autoconf. Please check your autoconf installation and the $PHP_AUTOCONF
| environment variable is set correctly and then rerun this script.

My $PHP_AUTOCONF environment variable is set such that this works:
| [shinobi]$ $PHP_AUTOCONF -h
| Usage: /home/binarysplit/source/autoconf-2.61/bin/autoconf [OPTION] … [TEMPLATE-FILE]

Does anyone know what I’m doing wrong? Or is there any other way I can get this tiny binary extension file, without installing linux on one of my own computers? Has anyone else managed to compile this and is able to send it to me? (I don’t mind having to change php install version for binary compatibility if necessary, but this bug seems to be a showstopper in all the other support queries I’ve found regarding it)